/* Bao ngoài menu */
.custom-menu-wrap {
  overflow: hidden;
}

/* Desktop */
.custom-menu-scroll {
  display: flex !important;              /* Flex để đủ 1 hàng */
  justify-content: center !important;
  list-style: none;
  margin: 0 !important;
  padding: 0 !important;
}

.custom-menu-scroll li {
  margin: 0 10px;
  flex: 0 0 auto;
}

.custom-menu-scroll a {
     display: block;
    margin-left: -10px;
    padding: 4px 12px;
    color: var(--color-black);
    font-size: 12px;
    white-space: nowrap;
}

.custom-menu-scroll a:hover {
   color: var(--color-black);
}

/* Mobile */
@media (max-width: 768px) {
  .custom-menu-wrap {
    overflow-x: auto !important;        /* Chỉ menu scroll, không dính search */
    -webkit-overflow-scrolling: touch;
	background: var(--Crimson-Red);
  }

  .custom-menu-scroll {
    display: inline-flex !important;    /* Cho phép ngang */
	justify-content: flex-start !important;
  }

  .custom-menu-scroll li {
    flex: 0 0 auto !important;
  }
	
  .custom-menu-scroll a {
	white-space: normal !important;
	color: var(--color-white);
  }

  /* Ẩn thanh cuộn */
  .custom-menu-wrap::-webkit-scrollbar {
    display: none;
  }
}
